glab(1)

NAME
glab-ci-cancel-job - Cancel CI/CD jobs.

SYNOPSIS
glab ci cancel job [...] [flags]

DESCRIPTION
Cancels one or more running CI/CD jobs by ID. You can pass multiple job IDs as separate arguments, in a comma-separated list, or in a quoted space-separated list.

To preview which jobs would be canceled without making changes, use --dry-run.

Use --force to cancel jobs that are in a protected environment.

OPTIONS
--dry-run[=false]
    Show which jobs would be canceled, without canceling them.

-f, --force[=false]
    Force-cancel the job, even if it runs in a protected environment.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Cancel a single job
    glab ci cancel job 1504182795
    # Cancel multiple jobs, comma-separated
    glab ci cancel job 1504182795,1504182796
    # Cancel multiple jobs, space-separated in quotes
    glab ci cancel job "1504182795 1504182796"
    # Preview which jobs would be canceled
    glab ci cancel job 1504182795,1504182796 --dry-run
    # Force-cancel a job in a protected environment
    glab ci cancel job 1504182795 --force

SEE ALSO
glab-ci-cancel(1)